Debian Bug report logs - #654943
RM: easypg -- RoQA; buggy; package obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: OHASHI Akira <bg66@debian.org>

Date: Sat, 7 Jan 2012 01:12:12 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654943; Package wnpp. (Sat, 07 Jan 2012 01:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to OHASHI Akira <bg66@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 07 Jan 2012 01:12:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: OHASHI Akira <bg66@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: easypg -- yet another GnuPG interface for Emacs
Date: Sat, 07 Jan 2012 10:02:59 +0900
Package: wnpp
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


I request an adopter for the easypg package, due to lack of time,
resources, interest and so on.

The package description is:
 EasyPG is an all-in-one GnuPG interface for Emacs.  It has two
 aspects: convenient tools which allow to use GnuPG from Emacs (EasyPG
 Assistant), and a fully functional interface library to GnuPG (EasyPG
 Library).

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFPB5m++pahSABNprQRAkc/AJ4psA50sAQM2CzLd1DASZRpsYkHzACfULnq
NTO8yY5MOLgbZ8/L0WOctdM=
=uZ+z
-----END PGP SIGNATURE-----




Message sent on to OHASHI Akira <bg66@debian.org>:
Bug#654943. (Fri, 23 Aug 2013 14:03:05 GMT) Full text and rfc822 format available.

Message #8 received at 654943-submitter@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: 654943-submitter@bugs.debian.org
Subject: just remove easypg?
Date: Fri, 23 Aug 2013 15:32:29 +0200
[Message part 1 (text/plain, inline)]
It seems that easypg is not needed anymore since easypg 1.00 is included
in emacs23-common in stable and testing (and also included in
emacs24-common in sid).

xemacs also ships a bundled version of easypg (I'm not sure about the
version).

I was motivated to suggest this after spending some time tracking down
what I thought was a new bug in easypg, but in fact was a bug in the old
version installed by the easypg debian package.

So I suggest just filing a removal bug, or reassign and retitle this
bug.

Cheers, 

David
[Message part 2 (application/pgp-signature, inline)]

Message sent on to OHASHI Akira <bg66@debian.org>:
Bug#654943. (Wed, 11 Sep 2013 02:09:08 GMT) Full text and rfc822 format available.

Message #11 received at 654943-submitter@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: 654943-submitter@bugs.debian.org
Subject: easypg is obsolete, also for xemacs
Date: Tue, 10 Sep 2013 23:05:22 -0300
[Message part 1 (text/plain, inline)]
Control: reassign -1 ftp.debian.org
Control: retitle -1 "RM: easypg -- RoQA; buggy; package obsolete"

As mentioned above, the builtin version in emacs23 and emacs24 actually
fixes bugs that are contained in this version, so installing this
package is actually harmful (since it shadows the builtin versions).

xemacs also ships easypg 0.0.16 (the same version), so removing the
debian easypg package should not matter to them either.

I could adopt it and then ROM, but we could also skip that step?

d
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from David Bremner <bremner@debian.org> to 654943-submitter@bugs.debian.org. (Wed, 11 Sep 2013 02:09:08 GMT) Full text and rfc822 format available.

Changed Bug title to '"RM: easypg -- RoQA; buggy; package obsolete"' from 'RFA: easypg -- yet another GnuPG interface for Emacs' Request was from David Bremner <bremner@debian.org> to 654943-submitter@bugs.debian.org. (Wed, 11 Sep 2013 02:09:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: easypg -- RoQA; buggy; package obsolete' from '"RM: easypg -- RoQA; buggy; package obsolete"' Request was from David Bremner <bremner@debian.org> to control@bugs.debian.org. (Wed, 11 Sep 2013 02:36:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 21 Sep 2013 21:39:30 GMT) Full text and rfc822 format available.

Notification sent to OHASHI Akira <bg66@debian.org>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 21:39:30 GMT) Full text and rfc822 format available.

Message #22 received at 654943-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 654943-close@bugs.debian.org
Cc: easypg@packages.debian.org, easypg@packages.qa.debian.org
Subject: Bug#654943: Removed package(s) from unstable
Date: Sat, 21 Sep 2013 21:38:01 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    easypg | 0.0.16-2.1 | source, all

------------------- Reason -------------------
RoQA; buggy; package obsolete
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654943@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/654943

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Oct 2013 07:32:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:45:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.